#!/usr/bin/env python
# coding: utf-8

import Crypto.Cipher.AES
import sys
import struct

method = sys.argv[1]
key = sys.argv[2]
data = sys.stdin.read()

aes = Crypto.Cipher.AES.new(key, Crypto.Cipher.AES.MODE_ECB)
if method == 'encode':
    datalen = len(data)
    padlen = 16 - (datalen % 16)
    if padlen == 0:
        padlen = 16
    pad = struct.pack('B',padlen)
    index = 0
    while index < padlen:
        data = pad + data
        index += 1
    result = aes.encrypt(data)
elif method == 'decode':
    result = aes.decrypt(data)
    padlen = struct.unpack('B',result[0])[0]
    result = result[padlen:]
else:
    exit(1)
sys.stdout.write(result)
exit(0)
