# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
#from project.utils import pwd
#from .. urls import add
import settings
import views


if settings.IS_ENABLE:
    urlpatterns = patterns(
        '',
        url(r'^$', lambda r: HttpResponseRedirect('./clients')),
        url(r'^clients$', views.RemoteLink3TerminalManagementView.as_view()),
        url(r'^modify/(?P<pincode>[a-zA-Z0-9\.]+)$', views.RemoteLink3ClientEntryModifyView.as_view()),
    )
    #add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
